Skip to main content

Create an Instacart user

POST /v2/fulfillment_sandbox/instacart_users

Creates an Instacart user.

Security​

NameInDescription
AuthorizationheaderThe Authorization header with the bearer token acquired during authentication.

Parameters​

None.

Request​

FieldTypeRequiredDescription
emailstringRequired

The email of the Instacart User.

phonestringRequired

The phone number of the Instacart User. Must be in E.164 format. Example: +14155552671.

passwordstringRequired

The password of the Instacart User.

express_memberbooleanOptional

Deprecated. Use 'instacartplus_member' instead. Defaults to false.

instacartplus_memberbooleanOptional

Indicates whether the Instacart User is an Instacart+ member. Defaults to false.

Request examples​

curl --request POST \
--url https://connect.instacart.com/v2/fulfillment_sandbox/instacart_users \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "string",
"phone": "string",
"password": "string",
"express_member": true,
"instacartplus_member": true
}'

Response​

FieldTypeRequiredDescription
idintegerRequired

The ID of the Instacart user.

Response examples​

200 Success

{
"id": 1
}

4XX Errors

Error responses return either a single error or multiple errors.

HTTP CodeCauseError MessageError CodeError Meta
400Account already exists"An account already exists with this email"1001{"key":"email"}